Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.swt
Class DateField

    java.lang.Object
      hibergui.swt.DateField

    public class DateField

extends java.lang.Object

Author:
  mpermana

Field Summary
`(package private) java.util.GregorianCalendar` | `calendar`
`(package private) java.text.DateFormat` | `dateFormat`
`(package private) java.util.Vector<int[]>` | `fieldOrder`
`private java.text.FieldPosition[]` | `fieldPositions`
`private int[]` | `gregorianFields`
`(package private) org.eclipse.swt.widgets.Text` | `text`

Constructor Summary
`DateField()`
`DateField(java.text.DateFormat dateFormat)`

Method Summary
`protected void` | `addCalendar(int amount, boolean big)`
`private void` | `addFieldOrder(int field, java.text.FieldPosition fieldPosition)`
`org.eclipse.swt.widgets.Text` | `create(org.eclipse.swt.widgets.Composite composite)`
`private int` | `dateFormatFieldToGregorianField(int dateFormatField)`
`java.util.GregorianCalendar` | `getCalendar()`
`java.text.DateFormat` | `getDateFormat()`
`protected int` | `getDateFormatField(int position)`
`static void` | `main(java.lang.String[] args)`
`private int` | `nextDateFormatField(int dateFormatField, int step)`
`void` | `onDateChange()`
`private void` | `selectDateFormatField(int dateFormatField)`
`void` | `setCalendar(java.util.GregorianCalendar calendar)`
`void` | `setDateFormat(java.text.DateFormat dateFormat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    org.eclipse.swt.widgets.Text text

### calendar

    java.util.GregorianCalendar calendar

### dateFormat

    java.text.DateFormat dateFormat

### fieldPositions

    private java.text.FieldPosition[] fieldPositions

### gregorianFields

    private int[] gregorianFields

### fieldOrder

    java.util.Vector<int[]> fieldOrder

Constructor Detail

### DateField

    public DateField(java.text.DateFormat dateFormat)

### DateField

    public DateField()

Method Detail

### create

    public org.eclipse.swt.widgets.Text create(org.eclipse.swt.widgets.Composite composite)

### addCalendar

    protected void addCalendar(int amount,
                               boolean big)

### dateFormatFieldToGregorianField

    private int dateFormatFieldToGregorianField(int dateFormatField)

### selectDateFormatField

    private void selectDateFormatField(int dateFormatField)

### getDateFormatField

    protected int getDateFormatField(int position)

  Returns:
    DateFormat.HOUR0_FIELD etc..

### onDateChange

    public void onDateChange()

### addFieldOrder

    private void addFieldOrder(int field,
                               java.text.FieldPosition fieldPosition)

### nextDateFormatField

    private int nextDateFormatField(int dateFormatField,
                                    int step)

### getDateFormat

    public java.text.DateFormat getDateFormat()

  Returns:
    Returns the dateFormat.

### setDateFormat

    public void setDateFormat(java.text.DateFormat dateFormat)

  Parameters:
    `dateFormat` - The dateFormat to set.

### getCalendar

    public java.util.GregorianCalendar getCalendar()

  Returns:
    Returns the calendar.

### setCalendar

    public void setCalendar(java.util.GregorianCalendar calendar)

  Parameters:
    `calendar` - The calendar to set.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD